/*
Copyright (C) 1996-1997 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

// draw.h -- these are the only functions outside the refresh allowed
// to touch the vid buffer

void Draw_Init (void);
void Draw_Character (int x, int y, int num);
/// void Draw_Pic (int x, int y, qpic_t *pic);
/// void Draw_TransPic (int x, int y, qpic_t *pic);
/// void Draw_TransPicTranslate (int x, int y, qpic_t *pic, byte *translation);
void Draw_ConsoleBackground (int lines);
void Draw_TileClear (int x, int y, int w, int h);
void Draw_Fill (int x, int y, int w, int h, int c);
void Draw_FadeScreen (void);
void Draw_String (int x, int y, const char *str);
void Draw_BigString (int x, int y, const char *str, int col);

///--- qpic_t *Draw_CachePic (char *path);

void V_DrawCacheImage (int x, int y, const char *name);
void V_DrawCacheTile  (int x, int y, const char *name, int tw, int th, int tx, int ty);


//--- editor settings ---
// vi:ts=4:sw=4:noexpandtab
